import random

class MoonStoryGenerator:
    def __init__(self,num_stories=1):
        self.num_stories = num_stories
        self.generated_stories = set()
        self.settings = [
    "On a distant moon",
    "In a futuristic lunar colony",
    "Beneath the moon's surface",
    "In a lunar research facility",
    "Amongst the ruins of an ancient lunar civilization",
    "In the shadow of a massive lunar crater",
    "Within the depths of a lunar cave system",
    "At the edge of a lunar cliff",
    "In a lunar outpost, surrounded by a barren landscape",
    "In a hidden underground base on the moon",
    "Amidst the glowing flora of a bioluminescent lunar forest",
    "Inside a massive lunar dome, shielding from the cosmic rays",
    "On the outskirts of a lunar mining operation",
    "At a lunar observatory, studying the cosmos",
    "In the heart of a bustling lunar metropolis",
    "In a retro-futuristic lunar city",
    "Beneath the eerie glow of a lunar eclipse",
    "On a lunar base, overlooking Earthrise",
    "In a lunar research station, abandoned for centuries",
    "Amidst the floating debris of a lunar junkyard",
    "Inside a high-tech lunar laboratory",
    "In a secret lunar facility, hidden from prying eyes",
    "Among the remnants of a crashed lunar spaceship",
    "In a lunar habitat, struggling to maintain life support",
    "Within the labyrinthine tunnels of a lunar cave system",
    "At a lunar resort, offering breathtaking views of space",
    "In a forgotten lunar temple, shrouded in mystery",
    "Amidst the desolation of a barren lunar wasteland",
    "Inside a lunar greenhouse, growing food for the colony",
    "On a lunar base, conducting experiments in low gravity",
    "In a lunar library, preserving ancient knowledge",
    "Beneath the glow of a bioluminescent lunar lake",
    "In a lunar research outpost, isolated from the world",
    "Amongst the relics of a lost lunar civilization",
    "Inside a lunar sanctuary, dedicated to peace and harmony",
    "At a lunar festival, celebrating the harvest of space crops",
    "In a lunar research lab, studying alien artifacts",
    "Within the bustling markets of a lunar trading post",
    "On a lunar expedition, searching for rare minerals",
    "In a lunar museum, showcasing the history of space exploration",
    "At the site of a lunar impact crater, hiding ancient secrets",
    "In a lunar biosphere, teeming with exotic flora and fauna",
    "Within the walls of a lunar fortress, defending against invaders",
    "On the edge of a lunar cliff, overlooking a vast crater",
    "In a lunar colony, powered by advanced fusion technology",
    "Amidst the echoes of a forgotten lunar civilization",
    "Inside a lunar research facility, unraveling the mysteries of the universe",
    "At a lunar university, educating the next generation of space pioneers",
    "In a lunar archive, containing the collective knowledge of humanity",
    "Beneath the glow of a neon-lit lunar cityscape",
    "On a lunar outpost, tracking the movements of celestial bodies",
    "In a lunar habitat, testing the limits of human endurance",
    "Amongst the relics of a bygone lunar era, frozen in time",
    "Inside a lunar biosphere, nurturing life in the harsh environment of space",
    "At a lunar sanctuary, offering solace to weary space travelers",
    "In a lunar research lab, experimenting with cutting-edge technology",
    "Within the walls of a lunar fortress, guarding against extraterrestrial threats",
    "On the surface of a moonlit asteroid, drifting through the cosmos"
]
        self.characters =  [
    "A brave astronaut",
    "An enigmatic alien",
    "A brilliant scientist",
    "A curious explorer",
    "A mysterious lunar inhabitant",
    "A resourceful space engineer",
    "A wise lunar elder",
    "A fearless space pirate",
    "A visionary lunar architect",
    "A determined space diplomat",
    "A skilled lunar geologist",
    "A compassionate lunar medic",
    "A rogue lunar scavenger",
    "A charismatic space trader",
    "A stoic lunar historian",
    "A quick-witted space smuggler",
    "A tenacious lunar botanist",
    "A daring space archaeologist",
    "A kind-hearted lunar teacher",
    "A fearless space pilot",
    "A compassionate lunar healer",
    "A wise space sage",
    "A resourceful lunar mechanic",
    "A visionary space explorer",
    "A clever lunar inventor",
    "A mysterious space wanderer",
    "A determined lunar diplomat",
    "A fearless space mercenary",
    "A wise lunar philosopher",
    "A quick-witted space hacker",
    "A compassionate lunar artist",
    "A resourceful space survivalist",
    "A tenacious lunar detective",
    "A daring space journalist",
    "A kind-hearted lunar poet",
    "A fearless space renegade",
    "A wise lunar oracle",
    "A resourceful space nomad",
    "A compassionate lunar musician",
    "A determined space researcher",
    "A tenacious lunar botanist",
    "A quick-witted space trader",
    "A compassionate lunar diplomat",
    "A fearless space scientist",
    "A wise lunar visionary",
    "A resourceful space historian",
    "A tenacious lunar explorer",
    "A kind-hearted space wanderer",
    "A daring lunar adventurer",
    "A clever space diplomat",
    "A compassionate lunar philosopher",
    "A wise space historian",
    "A resourceful lunar navigator",
    "A fearless space warrior",
    "A determined lunar scholar",
    "A compassionate space healer",
    "A kind-hearted lunar dreamer",
    "A fearless space pioneer",
    "A resourceful lunar guardian",
    "A compassionate space diplomat",
    "A wise lunar sage",
    "A tenacious space explorer",
    "A quick-witted lunar inventor",
    "A daring space renegade",
    "A compassionate lunar artist",
    "A resourceful space scientist",
    "A fearless lunar warrior",
    "A wise space visionary",
    "A tenacious lunar philosopher",
    "A kind-hearted space poet",
    "A determined lunar dreamer",
    "A compassionate space explorer",
    "A fearless lunar adventurer",
    "A wise space diplomat",
    "A resourceful lunar scientist",
    "A quick-witted space trader",
    "A compassionate lunar navigator",
    "A fearless space explorer",
    "A determined lunar historian",
    "A kind-hearted space wanderer",
    "A wise lunar diplomat",
    "A resourceful space researcher",
    "A tenacious lunar artist",
    "A compassionate space historian",
    "A fearless lunar philosopher",
    "A wise space visionary",
    "A resourceful lunar guardian",
    "A compassionate space healer",
    "A fearless lunar explorer",
    "A determined space diplomat",
    "A quick-witted lunar scholar",
    "A kind-hearted space poet",
    "A wise lunar dreamer",
    "A resourceful space pioneer",
    "A compassionate lunar scientist",
    "A fearless space renegade",
    "A tenacious lunar navigator",
    "A quick-witted space explorer",
    "A compassionate lunar diplomat",
    "A wise space sage",
    "A resourceful lunar botanist",
    "A fearless space hacker",
    "A determined lunar adventurer",
    "A kind-hearted space wanderer",
    "A wise lunar explorer",
    "A resourceful space trader",
    "A compassionate lunar historian",
    "A fearless space scientist",
    "A tenacious lunar visionary",
    "A quick-witted space historian",
    "A compassionate lunar explorer",
    "A wise space diplomat",
    "A resourceful lunar guardian",
    "A fearless space researcher",
    "A kind-hearted lunar poet",
    "A determined space explorer",
    "A compassionate lunar philosopher",
    "A wise space visionary",
    "A resourceful lunar scientist",
    "A fearless space trader",
    "A tenacious lunar artist",
    "A quick-witted space scientist",
    "A compassionate lunar healer",
    "A wise space historian",
    "A resourceful lunar navigator",
    "A fearless space warrior",
    "A determined lunar scholar",
    "A compassionate space diplomat",
    "A kind-hearted lunar dreamer",
    "A fearless space pioneer",
    "A resourceful lunar explorer",
    "A compassionate space scientist",
    "A wise lunar diplomat",
    "A tenacious space researcher",
    "A quick-witted lunar philosopher",
    "A compassionate space explorer",
    "A fearless lunar adventurer",
    "A wise space diplomat",
    "A resourceful lunar scientist",
    "A kind-hearted space wanderer",
    "A fearless space explorer",
    "A determined lunar historian",
    "A compassionate space healer",
    "A wise lunar navigator",
    "A resourceful space explorer",
    "A fearless lunar philosopher",
    "A kind-hearted space poet",
    "A compassionate lunar dreamer",
    "A wise space visionary",
    "A resourceful lunar scholar",
    "A fearless space renegade",
    "A determined lunar explorer",
    "A compassionate space historian",
    "A wise lunar guardian",
    "A resourceful space scientist",
    "A fearless lunar warrior",
    "A kind-hearted space diplomat",
    "A compassionate lunar diplomat",
    "A wise space researcher",
    "A quick-witted lunar artist",
    "A fearless space visionary",
    "A compassionate lunar philosopher",
    "A determined space historian",
    "A kind-hearted lunar navigator",
    "A wise space trader",
    "A resourceful lunar historian",
    "A fearless space explorer",
    "A compassionate lunar scholar",
    "A quick-witted space trader",
    "A determined lunar dreamer",
    "A wise space diplomat",
    "A resourceful lunar explorer",
    "A fearless lunar artist",
    "A compassionate space explorer",
    "A quick-witted lunar healer",
    "A compassionate space diplomat",
    "A kind-hearted lunar poet",
    "A fearless space scientist",
    "A determined lunar visionary",
    "A compassionate space historian",
    "A wise lunar artist",
    "A resourceful space pioneer",
    "A fearless lunar navigator",
    "A compassionate space scientist",
    "A quick-witted lunar diplomat",
    "A determined space diplomat",
    "A wise lunar dreamer",
    "A resourceful space explorer",
    "A compassionate lunar pioneer",
    "A fearless space renegade",
    "A determined lunar philosopher",
    "A compassionate space visionary",
    "A wise lunar scientist",
    "A quick-witted space visionary",
    "A fearless lunar explorer",
    "A resourceful space diplomat",
    "A compassionate lunar scholar",
    "A kind-hearted space historian",
    "A determined lunar explorer",
    "A compassionate space diplomat",
    "A wise lunar historian",
    "A resourceful space researcher",
    "A fearless lunar philosopher",
    "A compassionate space explorer",
    "A kind-hearted lunar explorer",
    "A wise space scientist",
    "A quick-witted lunar philosopher",
    "A fearless space warrior",
    "A compassionate lunar diplomat",
    "A determined space researcher",
    "A wise lunar explorer",
    "A resourceful space trader",
    "A fearless lunar visionary",
    "A compassionate space historian",
    "A determined lunar dreamer",
    "A quick-witted space historian",
    "A wise lunar navigator",
    "A resourceful lunar botanist",
    "A compassionate space scientist",
    "A fearless lunar guardian",
    "A determined space explorer",
    "A compassionate lunar artist",
    "A quick-witted space scientist",
    "A wise lunar guardian",
    "A resourceful space pioneer",
    "A compassionate lunar navigator",
    "A fearless space renegade",
    "A determined lunar scientist",
    "A compassionate space diplomat",
    "A wise lunar philosopher",
    "A resourceful space historian",
    "A fearless lunar explorer",
    "A quick-witted lunar explorer",
    "A compassionate space explorer",
    "A determined lunar historian",
    "A wise space diplomat",
    "A resourceful lunar guardian",
    "A fearless space researcher",
    "A quick-witted lunar scholar",
    "A compassionate space historian",
    "A determined lunar artist",
    "A wise space visionary",
    "A resourceful lunar explorer",
    "A fearless space explorer",
    "A compassionate lunar diplomat",
    "A determined space scientist",
    "A quick-witted space explorer",
    "A wise lunar dreamer",
    "A resourceful space scientist",
    "A fearless lunar philosopher",
    "A determined space historian",
    "A compassionate lunar pioneer",
    "A wise space diplomat",
    "A quick-witted lunar pioneer",
    "A fearless space visionary",
    "A compassionate lunar scholar",
    "A determined space explorer",
    "A wise lunar scientist",
    "A resourceful space trader",
    "A fearless lunar explorer",
    "A compassionate space diplomat",
    "A quick-witted lunar scientist",
    "A determined space diplomat",
    "A wise space scientist",
    "A resourceful lunar diplomat",
    "A fearless space pioneer",
    "A compassionate lunar artist",
    "A determined space explorer",
    "A wise lunar philosopher",
    "A quick-witted space explorer",
    "A resourceful lunar scientist",
    "A fearless space scientist",
    "A compassionate lunar pioneer",
    "A wise space visionary",
    "A determined lunar diplomat",
    "A quick-witted lunar visionary",
    "A fearless space renegade",
    "A compassionate lunar scholar",
    "A wise space historian",
    "A determined lunar explorer",
    "A compassionate lunar scientist",
    "A quick-witted space historian",
    "A fearless lunar navigator",
    "A wise space explorer",
    "A resourceful lunar philosopher",
    "A compassionate space visionary",
    "A determined space researcher",
    "A wise lunar navigator",
    "A quick-witted lunar diplomat",
    "A fearless space warrior",
    "A compassionate lunar diplomat",
    "A determined space explorer",
    "A wise space visionary",
    "A quick-witted lunar explorer",
    "A resourceful space scientist",
    "A fearless lunar guardian",
    "A compassionate space historian",
    "A determined lunar dreamer",
    "A wise lunar artist",
    "A quick-witted space trader",
    "A resourceful lunar pioneer",
    "A compassionate space diplomat",
    "A determined lunar scientist",
      "A lunar historian with a dark secret",
    "A lunar musician with a cosmic connection",
    "A lunar artist inspired by celestial wonders",
    "A lunar poet who speaks in riddles",
    "A lunar botanist studying alien flora",
    "A lunar zoologist tracking exotic moon creatures",
    "A lunar geologist uncovering ancient mysteries",
    "A lunar architect building lunar habitats",
    "A lunar engineer designing advanced technology",
    "A lunar philosopher pondering the cosmos",
    "A lunar medic tending to cosmic injuries",
    "A lunar linguist deciphering alien languages",
    "A lunar diplomat negotiating cosmic alliances",
    "A lunar archaeologist uncovering ancient artifacts",
    "A lunar historian chronicling cosmic events",
    "A lunar librarian guarding ancient cosmic knowledge",
    "A lunar prophet foretelling cosmic destinies",
    "A lunar visionary envisioning cosmic futures",
    "A lunar navigator charting courses through the cosmos",
    "A lunar astronomer observing distant galaxies",
    "A lunar physicist unlocking cosmic secrets",
    "A lunar geneticist studying alien DNA",
    "A lunar philosopher contemplating the meaning of the universe",
    "A lunar ambassador bridging worlds",
    "A lunar mystic communing with cosmic energies",
    "A lunar cartographer mapping celestial landscapes",
    "A lunar inventor creating futuristic technology",
    "A lunar scholar unraveling cosmic mysteries",
    "A lunar alchemist harnessing cosmic forces",
    "A lunar historian preserving ancient lunar texts",
    "A lunar explorer venturing into the unknown",
    "A lunar geographer studying cosmic terrains",
    "A lunar physicist manipulating cosmic energies",
    "A lunar geneticist engineering hybrid species",
    "A lunar philosopher pondering the nature of existence",
    "A lunar ambassador mediating interstellar conflicts",
    "A lunar mystic channeling cosmic wisdom",
    "A lunar cartographer charting celestial coordinates",
    "A lunar inventor designing revolutionary devices",
    "A lunar scholar documenting cosmic phenomena",
    "A lunar alchemist transmuting cosmic elements",
    "A lunar historian safeguarding ancient cosmic wisdom",
    "A lunar explorer braving the cosmic frontier",
    "A lunar geographer mapping extraterrestrial landscapes",
    "A lunar physicist bending the laws of the cosmos",
    "A lunar geneticist unlocking the secrets of alien DNA",
    "A lunar philosopher seeking the essence of reality",
    "A lunar ambassador fostering interstellar unity",
    "A lunar mystic attuning to cosmic frequencies",
    "A lunar cartographer plotting celestial trajectories",
    "A lunar inventor creating inventions beyond imagination",
    "A lunar scholar cataloging cosmic phenomena",
    "A lunar alchemist transmogrifying cosmic elements",
    "A lunar historian archiving ancient cosmic knowledge",
    "A lunar explorer venturing into the cosmic abyss",
    "A lunar geographer surveying otherworldly terrains",
    "A lunar physicist unraveling the mysteries of the cosmos",
    "A lunar geneticist manipulating alien genetic codes",
    "A lunar philosopher contemplating the essence of being",
    "A lunar ambassador bridging the gaps between worlds",
    "A lunar mystic communing with cosmic energies",
    "A lunar cartographer mapping the celestial tapestry",
    "A lunar inventor crafting inventions that defy explanation",
    "A lunar scholar studying the intricacies of cosmic phenomena",
    "A lunar alchemist transmuting the very essence of the cosmos",
    "A lunar historian preserving the ancient wisdom of the stars",
    "A lunar explorer forging a path through the cosmic unknown",
    "A lunar geographer charting the uncharted realms of the universe",
    "A lunar physicist unlocking the secrets of the cosmic fabric",
    "A lunar geneticist blending human and alien genetics",
    "A lunar philosopher delving into the depths of cosmic consciousness",
    "A lunar ambassador mediating cosmic conflicts",
    "A lunar mystic tapping into the cosmic flow",
    "A lunar cartographer sketching the constellations of the universe",
    "A lunar inventor conceiving devices beyond earthly imagination",
    "A lunar scholar deciphering the cosmic codes",
    "A lunar alchemist transmogrifying the very essence of existence",
    "A lunar historian safeguarding the ancient cosmic legacy",
    "A lunar explorer embarking on a celestial odyssey",
    "A lunar geographer exploring the cosmic topography",
    "A lunar physicist bending the fabric of space and time",
    "A lunar geneticist unlocking the potential of extraterrestrial DNA",
    "A lunar philosopher pondering the metaphysics of the cosmos",
    "A lunar ambassador fostering cosmic diplomacy",
    "A lunar mystic attuning to the cosmic symphony",
    "A lunar cartographer tracing the celestial constellations",
    "A lunar inventor conceiving technology that transcends human understanding",
    "A lunar scholar unraveling the cosmic enigmas",
    "A lunar alchemist transmogrifying the building blocks of reality",
    "A lunar historian preserving the ancient cosmic tapestry",
    "A lunar explorer pushing the boundaries of cosmic exploration",
    "A lunar geographer mapping the cosmic geography",
    "A lunar physicist probing the deepest mysteries of the universe",
    "A lunar geneticist weaving the threads of cosmic evolution",
    "A lunar philosopher contemplating the existential questions of the cosmos",
    "A lunar ambassador bridging the divides between galaxies",
    "A lunar mystic harmonizing with the cosmic vibrations",
    "A lunar cartographer charting the cosmic coordinates",
    "A lunar inventor designing inventions that defy the laws of physics",
    "A lunar scholar deciphering the cosmic hieroglyphs",
    "A lunar alchemist transmuting the very essence of cosmic reality",
    "A lunar historian safeguarding the ancient cosmic codex",
    "A lunar explorer embarking on a cosmic pilgrimage",
    "A lunar geographer charting the cosmic cartography",
    "A lunar physicist unraveling the fabric of cosmic spacetime",
    "A lunar geneticist sculpting the tapestry of cosmic genetics",
    "A lunar philosopher probing the depths of cosmic consciousness",
    "A lunar ambassador mediating cosmic disputes",
    "A lunar mystic attuning to the celestial harmonies",
    "A lunar cartographer tracing the cosmic constellations",
    "A lunar inventor conceiving technology that defies the laws of nature",
    "A lunar scholar decoding the cosmic ciphers",
    "A lunar alchemist transmogrifying the very essence of the universe",
    "A lunar historian safeguarding the ancient cosmic scrolls",
    "A lunar explorer venturing into the cosmic heart",
    "A lunar geographer navigating the celestial landscapes",
    "A lunar physicist peering into the cosmic abyss",
    "A lunar geneticist orchestrating the symphony of cosmic genetics",
    "A lunar philosopher delving into the mysteries of cosmic existence",
    "A lunar ambassador forging alliances across the cosmic expanse",
    "A lunar mystic resonating with the cosmic frequencies",
    "A lunar cartographer mapping the cosmic tapestry",
    "A lunar inventor envisioning technology that transcends human imagination",
    "A lunar scholar decrypting the cosmic codes",
    "A lunar alchemist transmogrifying the very essence of creation",
    "A lunar historian preserving the ancient cosmic scriptures",
    "A lunar explorer charting a course through the cosmic unknown",
    "A lunar geographer exploring the celestial terrain",
    "A lunar physicist unlocking the secrets of the cosmic web",
    "A lunar geneticist weaving the threads of cosmic evolution",
    "A lunar philosopher contemplating the essence of cosmic being",
    "A lunar ambassador mediating cosmic conflicts and cosmic solutions",
    "A lunar mystic attuning to the celestial harmonics",
    "A lunar cartographer tracing the celestial constellations",
    "A lunar inventor conceiving technology that transcends human comprehension",
    "A lunar scholar deciphering the cosmic language",
    "A lunar alchemist transmogrifying the very essence of cosmic reality",
    "A lunar historian safeguarding the ancient cosmic manuscripts",
    "A lunar explorer embarking on a cosmic journey of self-discovery",
    "A lunar geographer mapping the celestial terrain",
    "A lunar physicist unraveling the mysteries of the cosmic fabric",
    "A lunar geneticist sculpting the tapestry of cosmic genetics",
    "A lunar philosopher probing the depths of cosmic consciousness",
    "A lunar ambassador forging connections across the cosmic expanse",
    "A lunar mystic harmonizing with the cosmic symphony",
    "A lunar cartographer charting the cosmic coordinates",
    "A lunar inventor designing technology that defies the laws of reality",
    "A lunar scholar decoding the cosmic enigmas",
    "A lunar alchemist transmogrifying the very essence of the cosmos",
    "A lunar historian safeguarding the ancient cosmic manuscripts",
    "A lunar explorer venturing into the heart of the cosmic unknown",
    "A lunar geographer navigating the celestial landscapes",
    "A lunar physicist peering into the cosmic depths",
    "A lunar geneticist orchestrating the symphony of cosmic genetics",
    "A lunar philosopher delving into the mysteries of cosmic existence",
    "A lunar ambassador forging alliances across the cosmic expanse",
    "A lunar mystic resonating with the cosmic frequencies",
    "A lunar cartographer mapping the cosmic tapestry",
    "A lunar inventor envisioning technology that transcends human imagination",
    "A lunar scholar decrypting the cosmic codes",
    "A lunar alchemist transmogrifying the very essence of creation",
    "A lunar historian preserving the ancient cosmic scriptures",
    "A lunar explorer charting a course through the cosmic unknown",
    "A lunar geographer exploring the celestial terrain",
    "A lunar physicist unlocking the secrets of the cosmic web",
    "A lunar geneticist weaving the threads of cosmic evolution",
    "A lunar philosopher contemplating the essence of cosmic being",
    "A lunar ambassador mediating cosmic conflicts and cosmic solutions",
    "A lunar mystic attuning to the celestial harmonics",
    "A lunar cartographer tracing the celestial constellations",
    "A lunar inventor conceiving technology that transcends human comprehension",
    "A lunar scholar deciphering the cosmic language",
    "A lunar alchemist transmogrifying the very essence of cosmic reality",
    "A lunar historian safeguarding the ancient cosmic manuscripts",
    "A lunar explorer embarking on a cosmic journey of self-discovery",
    "A lunar geographer mapping the celestial terrain",
    "A lunar physicist unraveling the mysteries of the cosmic fabric",
    "A lunar geneticist sculpting the tapestry of cosmic genetics",
    "A lunar philosopher probing the depths of cosmic consciousness",
    "A lunar ambassador forging connections across the cosmic expanse",
    "A lunar mystic harmonizing with the cosmic symphony",
    "A lunar cartographer charting the cosmic coordinates",
    "A lunar inventor designing technology that defies the laws of reality",
    "A lunar scholar decoding the cosmic enigmas",
    "A lunar alchemist transmogrifying the very essence of the cosmos",
    "A lunar historian safeguarding the ancient cosmic manuscripts",
    "A lunar explorer venturing into the heart of the cosmic unknown",
    "A lunar geographer navigating the celestial landscapes",
    "A lunar physicist peering into the cosmic depths",
    "A lunar geneticist orchestrating the symphony of cosmic genetics",
    "A lunar philosopher delving into the mysteries of cosmic existence",
    "A lunar ambassador forging alliances across the cosmic expanse",
    "A lunar mystic resonating with the cosmic frequencies",
    "A lunar cartographer mapping the cosmic tapestry",
    "A lunar inventor envisioning technology that transcends human imagination",
    "A lunar scholar decrypting the cosmic codes",
    "A lunar alchemist transmogrifying the very essence of creation",
    "A lunar historian preserving the ancient cosmic scriptures",
    "A lunar explorer charting a course through the cosmic unknown",
    "A lunar geographer exploring the celestial terrain",
    "A lunar physicist unlocking the secrets of the cosmic web",
    "A lunar geneticist weaving the threads of cosmic evolution",
    "A lunar philosopher contemplating the essence of cosmic being",
    "A lunar ambassador mediating cosmic conflicts and cosmic solutions"
    
    ]
        self.events =  ["discovered an ancient alien artifact", "encountered a hostile extraterrestrial species", "uncovered a hidden lunar civilization", "stumbled upon a portal to another dimension", "witnessed a celestial phenomenon", "triggered a lunar cataclysm", "awakened a dormant lunar entity", "activated an alien technology with unintended consequences", "initiated contact with an interdimensional being", "decoded an ancient lunar prophecy", "unraveled the secrets of lunar time dilation", "harnessed the energy of a lunar anomaly", "activated a lunar gateway to distant galaxies", "unlocked the potential of lunar telepathy", "made a pact with a lunar spirit", "tapped into the lunar collective consciousness", "discovered a hidden lunar archive of lost knowledge", "activated a lunar terraforming mechanism", "opened a gateway to a parallel lunar dimension", "unleashed a swarm of moon creatures", "discovered a lunar library containing alien scripts", "activated a lunar AI with its own agenda", "uncovered the lunar origin of a mysterious artifact", "decoded the language of lunar hieroglyphics", "encountered a lunar being with godlike powers", "triggered a lunar temporal anomaly", "unveiled the lunar mysteries of quantum entanglement", "activated a lunar beacon calling to the stars", "opened a portal to a lunar realm of dreams", "awakened a lunar guardian of ancient wisdom"]

    
        
        self.plot_twists = [
    "However, nothing was as it seemed.",
    "Little did they know, a greater danger lurked in the shadows.",
    "Just when they thought they were safe, a new threat emerged.",
    "The truth was far stranger than they could have imagined.",
    "Their journey took an unexpected turn.",
    "Betrayal came from an unexpected source.",
    "A long-lost ally returned with a dire warning.",
    "The key to their survival lay in an ancient lunar riddle.",
    "A cosmic event threatened to change the course of their mission.",
    "The fate of the moon hung in the balance.",
    "Time itself became their greatest adversary.",
    "A revelation shattered their understanding of reality.",
    "The true purpose of the lunar artifacts was finally revealed.",
    "A forgotten lunar prophecy held the key to their destiny.",
    "The line between friend and foe blurred on the moon's surface.",
    "A hidden lunar power awakened within them.",
    "A lunar eclipse revealed a hidden lunar city.",
    "A lunar phenomenon altered the laws of physics.",
    "The lunar landscape held a secret that defied all logic.",
    "A lunar phenomenon granted them unexpected abilities.",
    "A lunar enigma held the answers to their questions.",
    "A lunar specter from the past haunted their every step.",
    "A lunar anomaly threatened to tear apart reality.",
    "The moon's ancient guardians rose to protect their secrets.",
    "A lunar mirage deceived their senses.",
    "A lunar vision foretold an unimaginable future.",
    "A lunar echo from another time echoed through the ages.",
    "A lunar paradox challenged their every belief.",
    "The moon's surface revealed a pattern of cosmic significance.",
    "A lunar revelation led to a revelation of galactic proportions.",
    "The moon's wisdom held the key to unlocking cosmic mysteries.",
    "A lunar guardian emerged to test their resolve.",
    "A lunar prophecy foretold their destiny.",
    "The moon's hidden chambers revealed a cosmic truth.",
    "A lunar messenger delivered a cryptic message from the stars.",
    "A lunar beacon called out to distant galaxies.",
    "A lunar relic held the power to reshape reality.",
    "A lunar time loop trapped them in an eternal night.",
    "A lunar sanctuary provided refuge from cosmic turmoil.",
    "A lunar labyrinth held the key to escaping a cosmic trap.",
    "A lunar echo guided them through the celestial maze.",
    "A lunar enigma held the answers to their cosmic quest.",
    "A lunar conundrum challenged their intellect and intuition.",
    "The moon's surface revealed a cosmic code to be deciphered.",
    "A lunar revelation opened the gateway to a parallel universe.",
    "A lunar guardian tested their mettle in the cosmic crucible.",
    "A lunar prophecy foretold their epic cosmic journey.",
    "The moon's hidden library unveiled ancient cosmic secrets.",
    "A lunar messenger brought news from distant galaxies.",
    "A lunar beacon beckoned them to explore the unknown.",
    "A lunar relic held the power to rewrite cosmic history.",
    "A lunar time loop trapped them in an endless cosmic dance.",
    "A lunar sanctuary offered solace in the face of cosmic chaos.",
    "A lunar labyrinth challenged their resolve in the cosmic maze.",
    "A lunar echo whispered secrets of the celestial realm.",
    "A lunar enigma teased their minds with cosmic puzzles.",
    "The moon's surface concealed a cosmic treasure to be unearthed.",
    "A lunar revelation shattered the boundaries of their reality.",
    "A lunar guardian watched over them in the cosmic wilderness.",
    "A lunar prophecy guided their steps through the cosmic tapestry.",
    "The moon's hidden vault held the keys to cosmic understanding.",
    "A lunar messenger delivered a missive from the distant stars.",
    "A lunar beacon signaled their path to cosmic exploration.",
    "A lunar relic held the power to sculpt the fabric of the cosmos.",
    "A lunar time loop entangled them in the dance of cosmic forces.",
    "A lunar sanctuary provided refuge in the heart of cosmic storms.",
    "A lunar labyrinth challenged their wits in the cosmic puzzle.",
    "A lunar echo resonated with the harmonies of the cosmos.",
    "A lunar enigma beckoned them to unlock its cosmic secrets.",
    "The moon's surface held a cosmic map to guide their journey.",
    "A lunar revelation unveiled the cosmic wonders of their destiny.",
    "A lunar guardian stood as a sentinel in the cosmic expanse.",
    "A lunar prophecy wove their story into the cosmic fabric.",
    "The moon's hidden archive held the scrolls of cosmic knowledge.",
    "A lunar messenger carried tidings from the distant galaxies.",
    "A lunar beacon illuminated their path through the cosmic void.",
    "A lunar relic held the power to shape the cosmic narrative.",
    "A lunar time loop wove them into the eternal dance of the cosmos.",
    "A lunar sanctuary offered solace amidst the cosmic tempest.",
    "A lunar labyrinth tested their mettle in the cosmic maze.",
    "A lunar echo resonated with the symphony of the universe.",
    "A lunar enigma teased their minds with cosmic riddles.",
    "The moon's surface bore witness to cosmic epochs past.",
    "A lunar revelation painted a portrait of their cosmic purpose.",
    "A lunar guardian guided them through the cosmic wilderness.",
    "A lunar prophecy etched their destiny into the cosmic scroll.",
    "The moon's hidden chamber held the secrets of the cosmic symposium.",
    "A lunar messenger relayed the whispers of distant galaxies.",
    "A lunar beacon charted their course through the cosmic seas.",
    "A lunar relic held the power to sculpt the cosmic tableau.",
    "A lunar time loop entangled them in the eternal dance of the cosmos.",
    "A lunar sanctuary cradled them in the heart of the cosmic storm.",
    "A lunar labyrinth challenged their wits in the cosmic puzzle.",
    "A lunar echo harmonized with the cosmic chorus of the universe.",
    "A lunar enigma beckoned them to unlock its cosmic mysteries.",
    "The moon's surface bore witness to the cosmic drama of creation.",
    "A lunar revelation revealed the cosmic threads woven in starlight.",
    "A lunar guardian stood as a beacon in the cosmic expanse.",
    "A lunar prophecy wove their tale into the cosmic tapestry.",
    "The moon's hidden library held the volumes of cosmic wisdom.",
    "A lunar messenger carried whispers from the distant galaxies.",
    "A lunar beacon lit the way through the cosmic labyrinth.",
    "A lunar relic held the power to shape the cosmic narrative.",
    "A lunar time loop wove them into the eternal fabric of the cosmos.",
    "A lunar sanctuary offered respite in the heart of the cosmic storm.",
    "A lunar labyrinth tested their resolve in the cosmic maze.",
    "A lunar echo resonated with the cosmic harmonies of the universe.",
    "A lunar enigma beckoned them to unlock its cosmic secrets.",
    "The moon's surface held the cosmic echoes of eons gone by.",
    "A lunar revelation unveiled the cosmic patterns woven in stardust.",
    "A lunar guardian watched over them in the cosmic wilderness.",
    "A lunar prophecy etched their tale into the cosmic annals.",
    "The moon's hidden vault held the keys to cosmic enlightenment.",
    "A lunar messenger brought tidings from the distant galaxies.",
    "A lunar beacon guided their path through the cosmic maze.",
    "A lunar relic held the power to sculpt the cosmic narrative.",
    "A lunar time loop entangled them in the eternal dance of the cosmos.",
    "A lunar sanctuary cradled them in the heart of the cosmic tempest.",
    "A lunar labyrinth challenged their wits in the cosmic puzzle.",
    "A lunar echo harmonized with the cosmic symphony of the universe.",
    "A lunar enigma teased their minds with cosmic conundrums.",
    "The moon's surface bore witness to the cosmic drama of creation.",
    "A lunar revelation revealed the cosmic threads woven in starlight.",
    "A lunar guardian stood as a sentinel in the cosmic expanse.",
    "A lunar prophecy wove their story into the cosmic tapestry.",
    "The moon's hidden archive held the scrolls of cosmic knowledge.",
    "A lunar messenger carried tidings from the distant galaxies.",
    "A lunar beacon illuminated their path through the cosmic void.",
    "A lunar relic held the power to shape the cosmic narrative.",
    "A lunar time loop wove them into the eternal dance of the cosmos.",
    "A lunar sanctuary offered solace amidst the cosmic tempest.",
    "A lunar labyrinth tested their mettle in the cosmic maze.",
    "A lunar echo resonated with the symphony of the universe.",
    "A lunar enigma teased their minds with cosmic riddles.",
    "The moon's surface bore witness to cosmic epochs past.",
    "A lunar revelation painted a portrait of their cosmic purpose.",
    "A lunar guardian guided them through the cosmic wilderness.",
    "A lunar prophecy etched their destiny into the cosmic scroll.",
    "The moon's hidden chamber held the secrets of the cosmic symposium.",
    "A lunar messenger relayed the whispers of distant galaxies.",
    "A lunar beacon charted their course through the cosmic seas.",
    "A lunar relic held the power to sculpt the cosmic tableau.",
    "A lunar time loop entangled them in the eternal dance of the cosmos.",
    "A lunar sanctuary cradled them in the heart of the cosmic storm.",
    "A lunar labyrinth challenged their wits in the cosmic puzzle.",
    "A lunar echo harmonized with the cosmic chorus of the universe.",
    "A lunar enigma beckoned them to unlock its cosmic mysteries.",
    "The moon's surface bore witness to the cosmic drama of creation.",
    "A lunar revelation revealed the cosmic threads woven in starlight.",
    "A lunar guardian stood as a beacon in the cosmic expanse.",
    "A lunar prophecy wove their tale into the cosmic tapestry.",
    "The moon's hidden library held the volumes of cosmic wisdom.",
    "A lunar messenger carried whispers from the distant galaxies.",
    "A lunar beacon lit the way through the cosmic labyrinth.",
    "A lunar relic held the power to shape the cosmic narrative.",
    "A lunar time loop wove them into the eternal fabric of the cosmos.",
    "A lunar sanctuary offered respite in the heart of the cosmic storm.",
    "A lunar labyrinth tested their resolve in the cosmic maze.",
    "A lunar echo resonated with the cosmic harmonies of the universe.",
    "A lunar enigma beckoned them to unlock its cosmic secrets.",
    "The moon's surface held the cosmic echoes of eons gone by.",
    "A lunar revelation unveiled the cosmic patterns woven in stardust.",
    "A lunar guardian watched over them in the cosmic wilderness.",
    "A lunar prophecy etched their tale into the cosmic annals.",
    "The moon's hidden vault held the keys to cosmic enlightenment.",
    "A lunar messenger brought tidings from the distant galaxies.",
    "A lunar beacon guided their path through the cosmic maze.",
    "A lunar relic held the power to sculpt the cosmic narrative.",
    "A lunar time loop entangled them in the eternal dance of the cosmos.",
    "A lunar sanctuary cradled them in the heart of the cosmic tempest.",
    "A lunar labyrinth challenged their wits in the cosmic puzzle.",
    "A lunar echo harmonized with the cosmic symphony of the universe.",
    "A lunar enigma teased their minds with cosmic conundrums."
]
        self.resolutions = [
    "In the end, they found a way to coexist with the aliens.",
    "The artifact held the key to unlocking new technologies.",
    "They made a discovery that would change humanity's understanding of the universe.",
    "The lunar mysteries would forever alter the course of history.",
    "They forged an alliance with the lunar inhabitants.",
    "A new era of lunar exploration began.",
    "The lunar secrets became a beacon for future generations.",
    "The moon's enigmas became a source of inspiration for all of humanity.",
    "They unlocked the secrets of lunar immortality.",
    "The lunar revelations sparked a new age of enlightenment.",
    "They left a mark on the moon's surface that would endure for eternity.",
    "The lunar artifacts became a symbol of hope for a better future.",
    "They uncovered the cosmic connections that bound the moon to the universe.",
    "The lunar revelations inspired a renaissance of human creativity.",
    "They discovered that the moon held the key to interstellar travel.",
    "The lunar mysteries ignited a passion for exploration in all of humanity.",
    "They realized that the moon was a cradle of life in the cosmos.",
    "The moon's secrets illuminated the path to a brighter future.",
    "They learned that the moon was a canvas for endless possibilities.",
    "The lunar discoveries bridged the gap between science and spirituality.",
    "They found that the moon was a sanctuary for the curious and the brave.",
    "The lunar revelations ignited a spark of curiosity in every human heart.",
    "They uncovered the moon's role in the grand tapestry of the cosmos.",
    "The lunar discoveries became a source of wonder for generations to come.",
    "They understood that the moon was a beacon of hope in the vast expanse of space.",
    "The lunar mysteries revealed that the universe was full of endless wonders.",
    "They realized that the moon was a testament to the boundless potential of humanity.",
    "The lunar revelations reminded them that the universe was their home.",
    "They discovered a new path to galactic harmony.",
    "The moon's wisdom became a guiding light for all of humanity.",
    "They uncovered the hidden heartbeat of the lunar realm.",
    "The lunar revelations unveiled a tapestry woven with stardust.",
    "They found a way to harness the moon's celestial energies.",
    "The lunar mysteries revealed the echoes of ancient cosmic symphonies.",
    "They understood that the moon was a beacon of hope in the cosmic dance.",
    "The lunar revelations sparked a fire of curiosity in every soul.",
    "They realized that the moon was a key to unlocking cosmic potential.",
    "The lunar discoveries became a treasure trove for the curious and the bold.",
    "They unearthed the lunar secrets that connected worlds.",
    "The lunar revelations inspired a chorus of wonder for generations to come.",
    "They embraced the moon as a sanctuary of cosmic enlightenment.",
    "The lunar mysteries whispered the secrets of the universe.",
    "They saw the moon as a testament to human potential.",
    "The lunar revelations echoed through the vast expanse of space.",
    "They discovered the rhythm of the lunar heartbeat.",
    "The moon's wisdom became the foundation of a new era.",
    "They uncovered the symphony of cosmic creation.",
    "The lunar revelations revealed the threads of destiny woven in starlight.",
    "They found the melody in the moon's celestial song.",
    "The lunar mysteries resonated with the echoes of ancient galaxies.",
    "They realized that the moon held the keys to unlocking cosmic wonders.",
    "The lunar discoveries became a celestial treasure map.",
    "They navigated the cosmic currents with the moon as their guide.",
    "The lunar revelations illuminated the path to boundless horizons.",
    "They followed the moon's call to distant galaxies.",
    "The lunar mysteries whispered tales of cosmic adventurers.",
    "They danced with the moon in the celestial ballroom of the cosmos.",
    "The lunar revelations painted a portrait of cosmic potential.",
    "They discovered the constellations in the moon's radiant glow.",
    "The moon's wisdom became a lighthouse for cosmic travelers.",
    "They unearthed the cosmic orchestra hidden in the lunar sands.",
    "The lunar revelations wove a tapestry of celestial wonders.",
    "They found harmony in the moon's cosmic symphony.",
    "The lunar mysteries echoed with the songs of distant stars.",
    "They realized that the moon was a bridge to the cosmic unknown.",
    "The lunar discoveries were the treasures of cosmic explorers.",
    "They set sail on the sea of cosmic possibility with the moon as their compass.",
    "The lunar revelations guided them through the cosmic wilderness.",
    "They navigated the cosmic currents with the moon's light as their guide.",
    "The lunar mysteries whispered tales of cosmic pioneers.",
    "They danced with the moon in the cosmic ballroom of the universe.",
    "The lunar revelations painted a portrait of boundless potential.",
    "They discovered the constellations in the moon's radiant embrace.",
    "The moon's wisdom became a beacon for cosmic wayfarers.",
    "They unearthed the cosmic masterpiece hidden in the lunar terrain.",
    "The lunar revelations spun a web of cosmic enchantment.",
    "They found serenity in the moon's cosmic lullaby.",
    "The lunar mysteries resonated with the melodies of ancient galaxies.",
    "They realized that the moon was a gateway to the cosmic beyond.",
    "The lunar discoveries were the treasures of cosmic adventurers.",
    "They embarked on a cosmic journey with the moon as their North Star.",
    "The lunar revelations guided them through the cosmic labyrinth.",
    "They sailed the cosmic seas with the moon's light as their compass.",
    "The lunar mysteries whispered legends of cosmic trailblazers.",
    "They waltzed with the moon in the cosmic ballroom of the cosmos.",
    "The lunar revelations painted a mural of boundless potential.",
    "They discovered constellations in the moon's radiant tapestry.",
    "The moon's wisdom became a torch for cosmic wanderers.",
    "They unearthed the cosmic masterpiece woven into the lunar landscape.",
    "The lunar revelations cast a spell of cosmic wonder.",
    "They found tranquility in the moon's cosmic sonata.",
    "The lunar mysteries echoed with the harmonies of distant galaxies.",
    "They realized that the moon was a portal to the cosmic unknown.",
    "The lunar discoveries were the treasures of cosmic pioneers.",
    "They ventured into the cosmic expanse with the moon as their guide.",
    "The lunar revelations led them through the cosmic wilderness.",
    "They sailed the cosmic seas with the moon's light as their beacon.",
    "The lunar mysteries whispered the legends of cosmic explorers.",
    "They danced with the moon in the cosmic ballroom of the universe.",
    "The lunar revelations painted a fresco of boundless potential.",
    "They discovered constellations in the moon's radiant canvas.",
    "The moon's wisdom became a guiding star for cosmic travelers.",
    "They unearthed the cosmic masterpiece painted across the lunar sky.",
    "The lunar revelations spun a web of cosmic enchantment.",
    "They found serenity in the moon's cosmic embrace.",
    "The lunar mysteries resonated with the symphonies of ancient galaxies.",
    "They realized that the moon was a gateway to the cosmic unknown.",
    "The lunar discoveries were the treasures of cosmic wayfarers.",
    "They embarked on a cosmic odyssey with the moon as their beacon.",
    "The lunar revelations guided them through the cosmic tapestry.",
    "They sailed the cosmic seas with the moon's light as their compass.",
    "The lunar mysteries whispered the tales of cosmic voyagers."
]

    def generate_moon_story(self):
        # Randomly select elements from the lists
        setting = random.choice(self.settings)
        character = random.choice(self.characters)
        event = random.choice(self.events)
        twist = random.choice(self.plot_twists)
        resolution = random.choice(self.resolutions)

        # Construct the story
        story = f"{setting}. {character} {event}. {twist} {resolution}"
        return story

    def generate_stories(self):
        stories = []

        while len(stories) < self.num_stories:
            new_story = self.generate_moon_story()
            if new_story not in self.generated_stories:
                self.generated_stories.add(new_story)
                stories.append(new_story)

        return stories


